# SPDX-License-Identifier: CC0-1.0

{ stdenv, fetchgit, dhallPackages }:

dhallPackages.buildDhallPackage {
  name = "dhall-genode";

  code = let
    src = fetchgit {
      url = "https://git.sr.ht/~ehmry/dhall-genode";
      rev = "8c547f017cba7780ce4334c0b4702f6c441b8819";
      sha256 = "1adpyigpha9iqmpdvrz8pl9sbgc65vdm9h37khm13w2kixwlkqq4";
    };
  in src + "/package.dhall";

  dependencies = [ dhallPackages.Prelude."13.0.0" ];

  source = true;
}
